/// Request to create a new ingest job.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CreateIngestJobRequest {
    #[serde(rename = "workspaceRid")]
    workspace_rid: conjure_object::ResourceIdentifier,
    #[builder(custom(type = super::IngestJobRequest, convert = Box::new))]
    #[serde(rename = "ingestJobRequest")]
    ingest_job_request: Box<super::IngestJobRequest>,
}
impl CreateIngestJobRequest {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        workspace_rid: conjure_object::ResourceIdentifier,
        ingest_job_request: super::IngestJobRequest,
    ) -> Self {
        Self::builder()
            .workspace_rid(workspace_rid)
            .ingest_job_request(ingest_job_request)
            .build()
    }
    #[inline]
    pub fn workspace_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.workspace_rid
    }
    #[inline]
    pub fn ingest_job_request(&self) -> &super::IngestJobRequest {
        &*self.ingest_job_request
    }
}
